<html onMouseOver="self.status='Powered by Carpediem Colombia Ltda';return true">
   <head>
    <title>.::Servicio Cliente - Ingresar Datos::. </title>
	<link rel="stylesheet" href="../css/style.css" type="text/css">
     </head>

   <body leftmargin="0" topmargin="0" marginheight="0" marginwidth="0" bgcolor="#ffffff">
   <center><table width="1004" height="60" border="0" cellpadding="0" cellspacing="0">
  <tbody><tr>
    <td background="../imagenes/baner.jpg"></td>
  </tr>
</tbody></table></center><br><br>
<?php
include("prueba.php");
if($_POST['empresa']=='Envia'){
include("conexion.php");
//echo "Envia";
}else{
include("conexion_computec.php");
//echo "Computec";
}
//include("datosUsuarioView.php");
 class nuevoPrueba {

	// PROPIEDADES
	var $pruebaObj;
	var $conexionObj;
	var $estado;

	// CONFIGURADORES
	function setPrueba($doc){
			$this->pruebaObj=new prueba();
			$this->pruebaObj->setGuia($guia);
	}//END FUNCION SET

	function getPrueba(){
		return $this->pruebaObj;
	}//END FUNCION GET

	// OPERACION DE NEGOCIO
	function validar(){
		$this->conexionObj = new conexion();
		$this->conexionObj->conectarse();
		$rst=$this->conexionObj->consultar("Select * from servicio_cliente");
		if(mysql_num_rows($rst)>=1){
		   $fila = mysql_fetch_array($rst);
		   $this->insertarDatos();
		   //echo "Hay Registros";
        }
		else{
		   //echo "No hay registros";
		   $this->insertarDatos();
		   }
	}//END FUNCION VALIDAR

function insertarDatos(){
//echo "entro insertar";//$fn1=$_POST['fn'];
$sep=$_POST['sep'];
$nombre=$_FILES['txt']['name'];
$tipo=$_FILES['txt']['type'];
$tam=$_FILES['txt']['size'];

		if ($tipo!="text/plain") {
			if($tipo!="application/vnd.ms-excel"){
			echo "No es un archivo plano o txt";
			}else{
				$ruta="/opt/lampp/htdocs/servicio_cliente/trabajo/".$nombre;
		   		if (move_uploaded_file($_FILES['txt']['tmp_name'], $nombre)){
	       			@copy($_FILES['txt']['tmp_name'], $_FILES['txt']['name']);
		   		}else{
			    	echo "No se subio el archivo";
		    	}
			}
			//echo "entro aqui";
		    //$nombre="../default/Logo.jpg";
		}else{
			$ruta="/opt/lampp/htdocs/servicio_cliente/trabajo/".$nombre;
		   if (move_uploaded_file($_FILES['txt']['tmp_name'], $nombre)){
	       @copy($_FILES['txt']['tmp_name'], $_FILES['txt']['name']);
		   }else{
			    echo "No se subio el archivo";
		    }
		}
	$lines = file($nombre);
	$i=0;
    $rsta=$this->conexionObj->modificar("insert into lote_servicio_cliente values('0')");
	$rsta=$this->conexionObj->consultar("Select * from lote_servicio_cliente order by num_lot desc");
	$fila = mysql_fetch_array($rsta);
	$lote=$fila['num_lot'];
	$_SESSION['lot']=$lote;
	foreach ($lines as $line_num => $line) {
	$datos = explode($sep, $line);
	$num=0;
	$guia=$datos[0];
	$guia = trim($guia);
	//$nc=$datos[1];
	//$nom=$datos[2];
	//$lote=$datos[3];
	$ruta="vacia";
	$est=0;

	$rst1=$this->conexionObj->consultar("Select * from servicio_cliente where guia='".$guia."'");
	$i=$i+1;
	$rst=$this->conexionObj->modificar("insert into servicio_cliente values('".$num."','".$guia."','".$lote."','".$ruta."',".$est.")");
	}
    unlink($nombre);
	$_SESSION['cant']=$i;
	$contc=0;
	$contn=0;
	$rst_cruce=$this->conexionObj->consultar("Select * from servicio_cliente where lote='".$lote."'");
	while($filas_cruce = mysql_fetch_array($rst_cruce)) {
	$this->pruebaObj->setGuia($filas_cruce["guia"]);
	$this->estado=1;
	$rst_digitalizacion=$this->conexionObj->consultar("Select * from digitalizacion where guia='".$filas_cruce['guia']."'");
			if(mysql_num_rows($rst_digitalizacion)>=1){
			//echo "Hay Datos";
			$contc=$contc+1;
       		$filas_digitalizacion = mysql_fetch_array($rst_digitalizacion);
			//echo "UPDATE servicio_cliente SET ruta='".$filas_digitalizacion['path']."', est='1' WHERE guia ='".$filas_cruce["guia"]."' and lote = '".$lote."'";
			$rst_digitalizacion2=$this->conexionObj->modificar("UPDATE servicio_cliente SET ruta='".$filas_digitalizacion['path']."', est='1' WHERE guia ='".$filas_cruce["guia"]."' and lote = '".$lote."'");
			}else{
			//echo "No Hay Datos";
			$contn=$contn+1;
			}
	}
		if($contc>0){
		//echo "Hay para cruzar";
		$fec=date("Ymd_H_i");
		exec("mkdir IMAGENES");
		exec("chmod 777 IMAGENES");
		exec("mkdir IMAGENES/".$fec);
		exec("chmod 777 IMAGENES/".$fec);
		$rst3=$this->conexionObj->consultar("Select * from servicio_cliente where est='1' and lote='".$lote."'");
		while($fila3 = mysql_fetch_array($rst3)) {
			$path=$fila3['ruta'];
			//echo "<br>";
			$path = strstr($path, '/');
			$rut="/opt/lampp/htdocs".$path;
			//echo "<br>";
			$fila3['guia'];
			$i=$i+1;
			//$path="/nuevo/".$fila3['guia'].".gif";
			$path2="/opt/lampp/htdocs/servicio_cliente/trabajo/IMAGENES/".$fec."/".$fila3['guia'].".gif";
			//echo "<br>";
			@copy($rut,$path2);
			}
			exec("zip -r ".$fec.".zip IMAGENES");
			//echo "<a href=".$fec.".zip>Descargar Zip</a><br><br>";
			exec("rm -r IMAGENES");
		}else{
		//echo "No Hay Para Cruzar";
		}
		echo "<center>";
		echo "<div align=center><strong><font face=Verdana size=2>Resultados - Cruce - filtro</font></strong></div><br>";
		echo "<table border=0 width=172 id=table1><tr><td width=132 class=inputbox>Registros Cargados: </td>";
		echo "<td width=26 class=inputbox>".$_SESSION['cant']."</td></tr><tr><td width=132 class=inputbox>Lote No: </td>";
		echo "<td width=26 class=inputbox>".$_SESSION['lot']."</td></tr></table><br>";
		echo "<table border=0 width='37%' id=table1><tr>";
		echo "<td width=141 align=center class=inputbox><font face=Verdana size=3>Registros</font></td>";
		echo "<td width=54 align=center class=inputbox><font face=Verdana size=3>Cant</font></td>";
		echo "<td width=92 align=center class=inputbox><font face=Verdana size=3>Acción</font></td>";
		echo "<td width=67 align=center class=inputbox><font face=Verdana size=3>Exportar</font></td>";
		echo "<td width=67 align=center class=inputbox><font face=Verdana size=3>Imagenes</font></td></tr>";
		echo "<tr><td width=141><font face=Verdana size=1>Cruzados</font></td>";
		echo "<td width=54><font face=Verdana size=1>".$contc."</font></td>";
		if($contc>0){
		echo "<td width=92 align=center><font face=Verdana size=1><a href=Consulta.php?estado=1&empresa=".$_POST['empresa']."&lote=".$lote." target='_blank'>Detalles</a></font></td>";
		echo "<td><a href=exportxls.php?estado=1&empresa=".$_POST['empresa']."&lote=".$lote.">xls</a><br></td>";
		echo "<td><a href=".$fec.".zip>Descargar Zip</a><br></td>";
		}else{
		echo "<td width=92 align=center><font face=Verdana size=1>Detalles</font></td>";
		echo "<td></td>";
		echo "<td></td>";
		}
		
	    echo "</tr>";
	    echo "<tr><td width=141><font face=Verdana size=1>No Cruzados</font></td>";
		echo "<td width=54><font face=Verdana size=1>".$contn."</font></td>";
		if($contn>0){
		echo "<td width=92 align=center><font face=Verdana size=1><a href=Consulta.php?estado=0&empresa=".$_POST['empresa']."&lote=".$lote." target='_blank'>Detalles</a></font></td>";
		echo "<td><a href=exportxls.php?estado=0&empresa=".$_POST['empresa']."&lote=".$lote.">xls</a><br></td>";
		}else{
		echo "<td width=92 align=center><font face=Verdana size=1>Detalles</font></td>";
		echo "<td></td>";
		}
		
		echo "<td></td>";
	    echo "</tr>";
		echo "</table>";
		echo "<br><a href=../index.php>Volver</a>";
		echo "</center>";
}//END FUNCION INSERTAR

}//END CLASE PRUEBA
// CREACION DEL OBJETO
$nuevoPruebaObj=new nuevoPrueba();

// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$nuevoPruebaObj->setPrueba($_POST['txt']);

// LAMANDO EL METODO DE NEGOCIO
$nuevoPruebaObj->validar();
?>
<br><br>
<table width=503 border=0 align=center cellpadding=0 cellspacing=0>
  <tbody>
    <tr> 
      <td></td>
    </tr>
    <tr> 
      <td height=7 background="../imagenes/lineas_pie.jpg"><img src=index2_files/spacer.html width=1 height=15></td>
    </tr>
    <tr> 
      <td> <BR> <center>
          <img src="../imagenes/recursos/envia.gif" alt="..::Envia::.." title="..::Envia::.." border=0> 
          <BR>
        </center></td>
    </tr>
  </tbody>
</table>
</body>
</html>